## dell-rbtn-dkms 1.0somerville2

=== dell-rbtn/Makefile ===
KVER?= $(shell uname -r)
obj-m 	+= dell-rbtn.o

.PHONY: all clean

all:
	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD)

clean:
	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) $@

=== debian/changelog ===
dell-rbtn-dkms (1.0somerville2) trusty; urgency=medium

  * Add conflict package list.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Wed, 02 Sep 2015 17:34:11 +0800

dell-rbtn-dkms (1.0somerville1) trusty; urgency=medium

  * Change modalias to fit acpi subtypes so that package could be searchable
  	by ubuntu-drivers.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Wed, 02 Sep 2015 15:33:31 +0800

dell-rbtn-dkms (1.0) trusty; urgency=low

  * Automatically packaged by DKMS.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Wed, 02 Sep 2015 15:29:55 +0800

=== debian/control ===
Source: dell-rbtn-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: dell-rbtn-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Conflicts: dell-wireless-dkms
Replaces: dell-wireless-dkms
Description: dell-rbtn driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=dell-rbtn
NAME=dell-rbtn
VERSION=1.0somerville2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
